---
branches:
- main
publish:
  - "@semantic-release/gitlab"
plugins:
- - "@semantic-release/commit-analyzer"
  - preset: conventionalcommits
    releaseRules:
    - type: docs
      release: patch
    - type: refactor
      release: patch
    - type: style
      release: patch
    - type: bug
      release: patch
    parserOpts:
      noteKeywords:
      - BREAKING CHANGE
      - BREAKING CHANGES
- - "@semantic-release/release-notes-generator"
  - preset: conventionalcommits
- - "@semantic-release/exec"
  - generateNotesCmd: echo RELEASE_VERSION=v${nextRelease.version} > release.env
- - "@semantic-release/changelog"
  - changelogFile: docs/project-info/CHANGELOG.md
- - "@google/semantic-release-replace-plugin"
  - replacements:
    - files: ["pyproject.toml"]
      from: "^version = \".*\""
      to: "version = \"${nextRelease.version}\""
      results:
        - file: pyproject.toml
          hasChanged: true
          numMatches: 1
          numReplacements: 1
      countMatches: true
- - "@semantic-release/git"
  - assets:
    - docs/project-info/CHANGELOG.md
    - pyproject.toml
    - poetry.lock
    - yarn.lock
- - "@semantic-release/gitlab"
  - gitlabUrl: https://gitlab.com
    gitlabApiPathPrefix: /api/v4
    assets:
    - path: LICENSE
      label: LICENSE

